Back to Redis

Debuginfo

content/operate/rs/7.4/references/rest-api/requests/cluster/debuginfo.md

latest1.4 KB
Original Source
MethodPathDescription
GET/v1/cluster/debuginfoGet debug info from all nodes and databases

Get cluster debug info {#get-cluster-debuginfo}

GET /v1/cluster/debuginfo

Downloads a tar file that contains debug info from all nodes and databases.

Required permissions

Permission name
[view_debugging_info]({{< relref "/operate/rs/7.4/references/rest-api/permissions#view_debugging_info" >}})

Request {#get-request}

Example HTTP request

GET /v1/cluster/debuginfo

Response {#get-response}

Downloads the debug info in a tar file called filename.tar.gz. Extract the files from the tar file to access the debug info for all nodes.

Response headers

KeyValueDescription
Content-Typeapplication/x-gzipMedia type of request/response body
Content-Length653350Length of the response body in octets
Content-Dispositionattachment; filename=debuginfo.tar.gzDisplay response in browser or download as attachment

Status codes {#get-status-codes}

CodeDescription
200 OKSuccess.
500 Internal Server ErrorFailed to get debug info.